Check the status of a refund

Authentication

Requires product-api-token (sent via the configured auth header as a JWT bearer token) headers.

Path parameters

  • paymentId (string): the payment identifier
  • refundId (string): the refund identifier

Response

200: Refund status retrieved successfully.

Returned data includes the refund fields documented for refund, including cumulative refundedAmount, remainingRefundableAmount, and isFullyRefunded.

refundStatus is one of processing, completed, or failed.

This polling endpoint is limited to 5 requests per second.

401: Unauthorized

403: Forbidden

404: Not found

429: Too many requests

Path Params
string
required
string
required
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json